Changes between Version 35 and Version 36 of Building/Preparation/Windows


Ignore:
Timestamp:
Sep 4, 2013 5:42:47 AM (21 months ago)
Author:
ezyang
Comment:

installer has changed

Legend:

Unmodified
Added
Removed
Modified
  • Building/Preparation/Windows

    v35 v36  
    1919 
    20202. '''Install the MinGW and MSYS tools:'''[[BR]][[BR]] 
    21  MinGW provides a windows version of GCC while MSYS provides a minimal UNIX environment (e.g bash, make... ect). The website for MinGW is totally confusing, so go here [http://www.mingw.org/wiki/Getting_Started Mingw/MSYS Getting Started] and follow the download instructions for the '''mingw-get-inst''' installer. This is an easy to use installer for installing both MinGW and MSYS.   Make sure when you run the installer that you '''select to install g++, MSYS and the MSYS Dev Kit'''. 
     21 MinGW provides a windows version of GCC while MSYS provides a minimal UNIX environment (e.g bash, make... ect). The website for MinGW is totally confusing, so go here [http://www.mingw.org/wiki/Getting_Started Mingw/MSYS Getting Started] and follow the download instructions for the '''mingw-get-inst''' installer. This is an easy to use installer for installing both MinGW and MSYS.   Make sure when you run the installer that you '''select to install msys-base, mingw32-base and mingw-developer-toolkit'''. 
    2222 
    23233. '''Set your `PATH`'''. You need to include at least 
     
    41414. If you use a shell within Emacs, make sure your `SHELL` environment variable points to the `bash` in `c:/MinGW/msys/1.0/bin`.  
    4242 
    43 5. '''Launch the shell''' by starting the 'MinGW Shell' which should be in your start menu. 
    44  Use `autoconf --version` to check that you have at least version 2.68 of `autoconf`. Version 2.56 (which was around for a long time) does not work for GHC's build system. 
     435. '''Launch the shell''' by starting the 'Command Prompt' (cmd.exe via Run). Get into the MingW shell by running 'bash', and  use `autoconf --version` to check that you have at least version 2.68 of `autoconf`. Version 2.56 (which was around for a long time) does not work for GHC's build system. 
    4544 
    4645